Bug 886877 - [abrt] evolution-3.6.2-3.fc18: camel_internet_address_encode_address: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
Summary: [abrt] evolution-3.6.2-3.fc18: camel_internet_address_encode_address: Process...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-rspam
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5f8aade081c8d19e3ce750436c9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 13:10 UTC by Braden McDaniel
Modified: 2014-02-05 13:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:51:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (69.51 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: build_ids (11.05 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: cgroup (130 bytes, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: core_backtrace (6.28 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: dso_list (27.91 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: environ (1.45 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: maps (135.33 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: open_fds (2.40 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details
File: var_log_messages (1.40 KB, text/plain)
2012-12-13 13:10 UTC, Braden McDaniel
no flags Details

Description Braden McDaniel 2012-12-13 13:10:15 UTC
Version-Release number of selected component:
evolution-3.6.2-3.fc18

Additional info:
backtrace_rating: 4
cmdline:        evolution
crash_function: camel_internet_address_encode_address
executable:     /usr/bin/evolution
kernel:         3.6.9-4.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 camel_internet_address_encode_address at camel-internet-address.c:447
 #5 internet_address_encode at camel-internet-address.c:87
 #6 camel_mime_message_set_from at camel-mime-message.c:671
 #7 spamcop_report at rspam.c:608
 #8 rspam_command at rspam.c:315
 #9 rspam_action_do at rspam.c:827
 #10 g_simple_async_result_complete at gsimpleasyncresult.c:775
 #11 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:843
 #15 g_main_context_iteration at gmain.c:3351
 #16 gtk_main_iteration at gtkmain.c:1264

Comment 1 Braden McDaniel 2012-12-13 13:10:18 UTC
Created attachment 662942 [details]
File: backtrace

Comment 2 Braden McDaniel 2012-12-13 13:10:21 UTC
Created attachment 662943 [details]
File: build_ids

Comment 3 Braden McDaniel 2012-12-13 13:10:22 UTC
Created attachment 662944 [details]
File: cgroup

Comment 4 Braden McDaniel 2012-12-13 13:10:24 UTC
Created attachment 662945 [details]
File: core_backtrace

Comment 5 Braden McDaniel 2012-12-13 13:10:26 UTC
Created attachment 662946 [details]
File: dso_list

Comment 6 Braden McDaniel 2012-12-13 13:10:27 UTC
Created attachment 662947 [details]
File: environ

Comment 7 Braden McDaniel 2012-12-13 13:10:29 UTC
Created attachment 662948 [details]
File: limits

Comment 8 Braden McDaniel 2012-12-13 13:10:31 UTC
Created attachment 662949 [details]
File: maps

Comment 9 Braden McDaniel 2012-12-13 13:10:34 UTC
Created attachment 662950 [details]
File: open_fds

Comment 10 Braden McDaniel 2012-12-13 13:10:36 UTC
Created attachment 662951 [details]
File: proc_pid_status

Comment 11 Braden McDaniel 2012-12-13 13:10:38 UTC
Created attachment 662952 [details]
File: var_log_messages

Comment 12 Milan Crha 2012-12-14 08:51:14 UTC
Thanks for a bug report it seems like evolution-rspam passing incorrect address when creating a message, and camel aborts on it. I'd start in evolution-rspam, thus I'm moving it there.

Comment 13 Fedora End Of Life 2013-12-21 09:53:26 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2014-02-05 13:51:36 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.